Bug 114060 - .inputrc keybindings behave unexpectedly
.inputrc keybindings behave unexpectedly
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: bash (Show other bugs)
3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Waugh
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-01-21 19:47 EST by Reuben Thomas
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-12-10 08:17:36 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Reuben Thomas 2004-01-21 19:47:43 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; Linux i686; U) Opera 7.23  [en]

Description of problem:
In the man page for bash, it says that the Meta-key combinations can 
be bound in two ways: either

Meta-<key>: function

or

"\M-<key>": function

In my experience, the first works, but the second doesn't. For 
example, try putting the following in .inputrc:

Meta-p: history-search-backward

then run bash, and type

bind -q history-search-backward

For me it says:

history-search-backward can be invoked via "?".

If I try the other form:

"\M-p": history-search-backward

I get:

history-search-backward can be invoked via "\M-p".



Version-Release number of selected component (if applicable):
2.05b-34

How reproducible:
Always

Steps to Reproduce:
1. See above.
2. 
3.
    

Additional info:
Comment 1 Tim Waugh 2004-01-22 05:58:56 EST
I'm not sure if I understand which one is working -- for me it's the
other way round to the way you describe it.

Does it help to put 'set convert-meta On' immediately before that line?
Comment 2 Tim Waugh 2004-12-10 07:21:55 EST
No feedback; closing.
Comment 3 Reuben Thomas 2004-12-10 07:33:23 EST
Sorry, not sure why I never replied to your question.

As I said originally, bindings of the form:

Meta-p: function

don't work, whereas

"\M-p": function

does work. Adding "set convert-meta On" before a binding of the form "Meta-p" 
does indeed help.
Comment 4 Tim Waugh 2004-12-10 08:17:36 EST
Reported upstream.

Note You need to log in before you can comment on or make changes to this bug.